/**
 * P4
 * http://snarfed.org/space/p4
 *
 * Copyright 2001-2004
 * Ken Ashcraft <kashcraft+p4@gmail.com>,
 * Ryan Barrett <p4@ryanb.org>,
 * Maulik Shah <p4@maulik.net>,
 * Nathan Stoll <nathanstoll+p4@gmail.com>
 *
 * @file p4mockclient.h
 *
 * Declares support methods for use with the "mock" p4 backend, libmockp4.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _P4MOCKCLIENT_H
#define _P4MOCKCLIENT_H

#include <sys/types.h>


/** p4_mock_setup
 *
 * Initializes the mock backend with a host:port to connect to. If the host is
 * null, the mock backend wiil listen instead.
 */
void p4_mock_setup(char *address, ushort port);


#endif  // _P4MOCKCLIENT_H


